Update workspace
Update a workspace’s description and/or limits.
Setting limits requires the Admin role on the workspace. Omitted fields are unchanged.
Example:
Path parameters
name
Request
This endpoint expects an object.
description
Updated description
limits
Updated per-workspace limits. Omit to leave unchanged; requires workspace Admin.
Response
Successful Response
id
System-generated UUID
name
Workspace name (user-provided)
created_at
Timestamp of workspace creation
updated_at
Timestamp of last workspace update
description
Optional description
limits
Optional per-workspace resource limits
created_by
Principal id for workspace creator
updated_by
Principal id for last workspace update
Errors
404
Not Found Error
422
Unprocessable Entity Error